<h1>Créer un jeu en point de vue simple</h1>
<p>Format d'image :bitmap 24-bit</p>
<form [formGroup]="simpleViewGameForm" (ngSubmit)="submitSimpleViewGameForm();">
    <div class="form-group">
        <mat-form-field>
            Nom du jeu:
            <input matInput formControlName="gameName" classe ="form-control" type="text" >
        </mat-form-field>
    </div>

    <div class="imageInput">
            <span>Image Original:</span>
            <input #imageInput type="file" accept="image/bmp" (change)="processFile($event, true)">
    </div>
    <div class="imageInput" >
            <span>Image Modifiee:</span>
            <input #imageInput type="file" accept="image/bmp" (change)="processFile($event,false)">
    </div>
    <div [hidden]="isSendingForm">
        <button  mat-raised-button ng-click="displayLoad!=displayLoad" type="submit" [disabled]="simpleViewGameForm.invalid || simpleViewGameForm.prestine">Soumettre</button>
        <button  mat-dialog-close=true mat-raised-button type="button">Annuler</button>
    </div>
    <div class="loadingSpinner"[hidden]="!isSendingForm" >
    <mat-spinner [diameter]="40"></mat-spinner>
    Sending Form
    </div>
    <div class="feedback" [hidden]="!imageStatus[1]">
        Les images n'ont pas 7 differences.Veuillez soumettre des images avec 7 differences.
    </div>
    <div class="feedback" [hidden]="!imageStatus[2]">
        La taille de l'image est invalide. Veuillez soumettre une image de 480X640.
    </div>
    <div class="feedback" [hidden]="!imageStatus[3]">
        Le type de l'image est invalide. Veuillez soumettre une autre image.
    </div>
</form>